package com.simuwang.manage.api.fund;

import com.simuwang.base.pojo.vo.FundInformationVO;
import com.simuwang.manage.service.FundInformationService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * FileName: FundInformationController
 * Author:   chenjianhua
 * Date:     2024/9/6 15:01
 * Description: ${DESCRIPTION}
 */
@RestController
@RequestMapping("/fund")
public class FundInformationController {

    @Autowired
    private FundInformationService fundInformationService;
    /**
     * 搜索输入框查询
     * @param keyword
     * @return
     */
    @RequestMapping("search-info")
    public List<Map<String,String>> searchFundInfo(@RequestParam(value = "keyword",required = false)String keyword){
        List<Map<String,String>> result = fundInformationService.searchFundInfo(keyword);
        return result;
    }

    /**
     * @param fundShortName
     * @param companyShortName
     * @param navFrequency
     * @param assetFrequency
     * @return
     */
    @RequestMapping("search-list")
    public List<FundInformationVO> searchFundInfoList(
              @RequestParam(value = "fundId",required = false)String fundId,
              @RequestParam(value = "fundShortName",required = false)String fundShortName,
              @RequestParam(value = "companyShortName",required = false)String companyShortName,
              @RequestParam(value = "navFrequency",required = false)Integer navFrequency,
              @RequestParam(value = "assetFrequency",required = false)Integer assetFrequency,
              @RequestParam(value = "startDate",required = false)Integer startDate,
              @RequestParam(value = "endDate",required = false)Integer endDate){
        List<FundInformationVO> result = fundInformationService.searchFundInfoList(fundId,fundShortName,companyShortName,navFrequency,assetFrequency,startDate,endDate);
        return result;
    }
}
